Skip to main content
POST
/
index.php
/
api
/
dakota
cURL
curl --request POST \
  --url https://marketplace-as-a-service.herokuapp.com/index.php/api/dakota \
  --header 'Content-Type: text/plain' \
  --header 'Oauth-Token: <api-key>' \
  --data '<JSON example>'

How to Use

  1. Copy any of the JSON examples below.
  2. Go to the API playground by clicking on the “Try it” button.
  3. Paste the JSON into the request body field.
  4. Click “Send” button to execute the request.

Examples

Count Updates Records

{
  "module": "updates",
  "count_only": true
}

List All Updates Records

{
  "module": "updates"
}

List Updates Records with Specific Fields

{
  "module": "updates",
  "filters": {
    "fields": [
      "sfid",
      "name",
      "type__c",
      "field_name__c",
      "contact__c",
      "contact_name__c",
      "account__c",
      "job_change__c",
      "role_change__c",
      "last_updated_date__c",
      "createddate",
      "lastmodifieddate"
    ],
    "order_by": "lastmodifieddate:DESC",
    "max_num": "10"
  }
}

Filter by Type

{
  "module": "updates",
  "filters": {
    "filter": [
      {
        "type__c": {
          "$equals": "Marketplace Data Updates"
        }
      }
    ]
  }
}

Filter by Contact

{
  "module": "updates",
  "filters": {
    "filter": [
      {
        "contact__c": {
          "$equals": "003QU00001LEjjrYAD"
        }
      }
    ],
    "fields": ["sfid", "name", "type__c", "field_name__c", "contact__c", "contact_name__c"]
  }
}

Filter by Field Name

{
  "module": "updates",
  "filters": {
    "filter": [
      {
        "field_name__c": {
          "$equals": "Account"
        }
      }
    ]
  }
}

Filter by Job Change

{
  "module": "updates",
  "filters": {
    "filter": [
      {
        "job_change__c": {
          "$equals": true
        }
      }
    ]
  }
}

Filter by Last Updated Date Range

{
  "module": "updates",
  "filters": {
    "filter": [
      {
        "last_updated_date__c": {
          "$between": ["2026-06-01", "2026-06-30"]
        }
      }
    ]
  }
}

Authorizations

Oauth-Token
string
header
required

Get the OAuth token by calling the /oauth2 authentication API. Use the access_token from the response to authorize your API requests.

Body

text/plain

Copy any of the JSON examples and paste it into the request body field.